Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.citation
Interface OnLineResource

    @Profile(level=CORE)
    @UML(identifier="CI_OnlineResource",
         specification=ISO_19115)
    public interface OnLineResource

Information about on-line sources from which the dataset, specification, or community profile name and extended metadata elements can be obtained.

Since:
  GeoAPI 1.0

Method Summary
`String` | `getApplicationProfile()` Name of an application profile that can be used with the online resource.
`InternationalString` | `getDescription()` Detailed text description of what the online resource is/does.
`OnLineFunction` | `getFunction()` Code for function performed by the online resource.
`URI` | `getLinkage()` Location (address) for on-line access using a Uniform Resource Locator address or similar addressing scheme such as http://www.statkart.no/isotc211.
`String` | `getName()` Name of the online resource.
`String` | `getProtocol()` Connection protocol to be used.

Method Detail

### getLinkage

    @UML(identifier="linkage",
         obligation=MANDATORY,
         specification=ISO_19115)
    URI getLinkage()

  Location (address) for on-line access using a Uniform Resource Locator address or similar addressing scheme such as http://www.statkart.no/isotc211.

### getProtocol

    @UML(identifier="protocol",
         obligation=OPTIONAL,
         specification=ISO_19115)
    String getProtocol()

  Connection protocol to be used. Returns `null` if none.

### getApplicationProfile

    @UML(identifier="applicationProfile",
         obligation=OPTIONAL,
         specification=ISO_19115)
    String getApplicationProfile()

  Name of an application profile that can be used with the online resource. Returns `null` if none.

### getName

    @UML(identifier="name",
         obligation=OPTIONAL,
         specification=ISO_19115)
    String getName()

  Name of the online resource. Returns `null` if none.

  Since:
    GeoAPI 2.1

### getDescription

    @UML(identifier="description",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getDescription()

  Detailed text description of what the online resource is/does. Returns `null` if none.

### getFunction

    @UML(identifier="function",
         obligation=OPTIONAL,
         specification=ISO_19115)
    OnLineFunction getFunction()

  Code for function performed by the online resource. Returns `null` if unspecified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.